%define lib_name %name

%define name irman
%define version 0.4.5
%define release %mkrel 1

%define libname	%mklibname %{name}
%define libnamedev %mklibname %{name} -d

Name:		%{name}
Version:        %{version}
Release:        %{release}
Summary:	Library for accessing the IRMAN hardware
License:	GPL
Group:		System/Libraries
URL:		http://www.lirc.org
Source0:	http://www.lirc.org/software/snapshots/lib%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
	
%description

%package -n %{libname}
Summary:	Library for accessing the IRMAN hardware
License:	GPL
Group:		System/Libraries
Obsoletes:	libirman

%description -n %{libname}
General purpose library for programs to use in order to receive infra
red signals via irman compatible hardware. It is designed to be portable
across Unices but is so far only known to work under Linux.

%package -n %{libnamedev}
Summary:	Header files and static library for development with libirman
Group:		Development/C
Provides:	%{libnamedev} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	libirman-devel

%description -n %{libnamedev}
This package includes the static libraries and header
files for the %{libname} package.

%prep
%setup -q -n lib%{name}-%{version}

%build
autoreconf -fis
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

# Makefile doesn't create this:
install -d $RPM_BUILD_ROOT/%{_includedir}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT/

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING COPYING.lib NEWS README TECHNICAL TODO
%config(noreplace) %_sysconfdir/irman.conf
%{_bindir}/*
/usr/lib/libirman.so.0
/usr/lib/libirman.so.0.0.0

%files -n %{libnamedev}
%defattr(-,root,root)
%{_libdir}/*.a
/usr/lib/libirman.so
%exclude %{_libdir}/*.la

%{_includedir}/*

%changelog
* Tue May 12 2009 MBantz <martin.bantz at gmail dot com> 0.4.5-1pclos2007
- Updated to 0.4.5

* Mon Nov 06 2006 Texstar <texstar@houston.rr.com> 0.4.2-5pclos2007
- Build for PCLinuxOS 2007

